#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './domtreeviewbase.ui'
**
** Created: Fri Aug 8 02:53:59 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "domtreeviewbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qwidgetstack.h>
#include <ktextedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kpushbutton.h"
#include "klistview.h"
#include "ktextedit.h"

/*
 *  Constructs a DOMTreeViewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DOMTreeViewBase::DOMTreeViewBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DOMTreeViewBase" );
    setMinimumSize( QSize( 600, 380 ) );
    DOMTreeViewBaseLayout = new QVBoxLayout( this, 11, 6, "DOMTreeViewBaseLayout"); 

    messageLinePane = new QFrame( this, "messageLinePane" );
    messageLinePane->setPaletteBackgroundColor( QColor( 170, 0, 127 ) );
    messageLinePane->setFrameShape( QFrame::Panel );
    messageLinePane->setFrameShadow( QFrame::Plain );
    messageLinePaneLayout = new QHBoxLayout( messageLinePane, 1, 0, "messageLinePaneLayout"); 

    messageLine = new KLineEdit( messageLinePane, "messageLine" );
    messageLine->setPaletteForegroundColor( QColor( 255, 255, 127 ) );
    messageLine->setPaletteBackgroundColor( QColor( 170, 0, 127 ) );
    QFont messageLine_font(  messageLine->font() );
    messageLine_font.setBold( TRUE );
    messageLine->setFont( messageLine_font ); 
    messageLine->setFrame( FALSE );
    messageLine->setReadOnly( TRUE );
    messageLinePaneLayout->addWidget( messageLine );

    messageListBtn = new KPushButton( messageLinePane, "messageListBtn" );
    QFont messageListBtn_font(  messageListBtn->font() );
    messageListBtn_font.setPointSize( 10 );
    messageListBtn->setFont( messageListBtn_font ); 
    messageListBtn->setFlat( TRUE );
    messageLinePaneLayout->addWidget( messageListBtn );
    spacer5 = new QSpacerItem( 10, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    messageLinePaneLayout->addItem( spacer5 );

    messageHideBtn = new KPushButton( messageLinePane, "messageHideBtn" );
    QFont messageHideBtn_font(  messageHideBtn->font() );
    messageHideBtn_font.setPointSize( 10 );
    messageHideBtn->setFont( messageHideBtn_font ); 
    messageHideBtn->setFlat( TRUE );
    messageLinePaneLayout->addWidget( messageHideBtn );
    DOMTreeViewBaseLayout->addWidget( messageLinePane );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    m_listView = new KListView( this, "m_listView" );
    m_listView->addColumn( tr2i18n( "DOM Tree" ) );
    m_listView->setAcceptDrops( TRUE );
    m_listView->setProperty( "selectionMode", "Extended" );
    m_listView->setRootIsDecorated( TRUE );
    m_listView->setDragEnabled( TRUE );
    layout7->addWidget( m_listView );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setMinimumSize( QSize( 300, 400 ) );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout4 = new QGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    textLabel1_2_3 = new QLabel( groupBox1, "textLabel1_2_3" );

    layout4->addWidget( textLabel1_2_3, 3, 0 );

    textLabel1_2_2 = new QLabel( groupBox1, "textLabel1_2_2" );

    layout4->addWidget( textLabel1_2_2, 2, 0 );

    textLabel1_2 = new QLabel( groupBox1, "textLabel1_2" );

    layout4->addWidget( textLabel1_2, 1, 0 );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );

    layout4->addWidget( textLabel1, 0, 0 );

    nodeNamespace = new KLineEdit( groupBox1, "nodeNamespace" );
    nodeNamespace->setEnabled( TRUE );
    nodeNamespace->setFrameShape( KLineEdit::NoFrame );
    nodeNamespace->setLineWidth( 0 );
    nodeNamespace->setReadOnly( TRUE );

    layout4->addWidget( nodeNamespace, 1, 1 );

    nodeValue = new KLineEdit( groupBox1, "nodeValue" );
    nodeValue->setEnabled( TRUE );
    nodeValue->setFrameShape( KLineEdit::NoFrame );
    nodeValue->setLineWidth( 0 );
    nodeValue->setReadOnly( TRUE );

    layout4->addWidget( nodeValue, 3, 1 );

    nodeType = new KLineEdit( groupBox1, "nodeType" );
    nodeType->setEnabled( TRUE );
    nodeType->setFrameShape( KLineEdit::NoFrame );
    nodeType->setLineWidth( 0 );
    nodeType->setReadOnly( TRUE );

    layout4->addWidget( nodeType, 2, 1 );

    nodeName = new KLineEdit( groupBox1, "nodeName" );
    nodeName->setEnabled( TRUE );
    nodeName->setFrameShape( KLineEdit::NoFrame );
    nodeName->setLineWidth( 0 );
    nodeName->setReadOnly( TRUE );

    layout4->addWidget( nodeName, 0, 1 );
    groupBox1Layout->addLayout( layout4 );

    nodeInfoStack = new QWidgetStack( groupBox1, "nodeInfoStack" );

    ElementInfo = new QWidget( nodeInfoStack, "ElementInfo" );
    ElementInfoLayout = new QVBoxLayout( ElementInfo, 0, 6, "ElementInfoLayout"); 

    nodeAttributes = new KListView( ElementInfo, "nodeAttributes" );
    nodeAttributes->addColumn( tr2i18n( "Name" ) );
    nodeAttributes->addColumn( tr2i18n( "Value" ) );
    nodeAttributes->setFocusPolicy( KListView::StrongFocus );
    nodeAttributes->setProperty( "selectionMode", "Extended" );
    nodeAttributes->setAllColumnsShowFocus( TRUE );
    nodeAttributes->setShowSortIndicator( TRUE );
    nodeAttributes->setItemsMovable( FALSE );
    ElementInfoLayout->addWidget( nodeAttributes );
    nodeInfoStack->addWidget( ElementInfo, 0 );

    CharacterData = new QWidget( nodeInfoStack, "CharacterData" );
    CharacterDataLayout = new QVBoxLayout( CharacterData, 0, 0, "CharacterDataLayout"); 

    contentEditor = new KTextEdit( CharacterData, "contentEditor" );
    contentEditor->setTextFormat( KTextEdit::PlainText );
    contentEditor->setTabChangesFocus( FALSE );
    CharacterDataLayout->addWidget( contentEditor );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    applyContent = new QPushButton( CharacterData, "applyContent" );
    layout3->addWidget( applyContent );
    spacer1 = new QSpacerItem( 81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer1 );
    CharacterDataLayout->addLayout( layout3 );
    nodeInfoStack->addWidget( CharacterData, 1 );

    Empty = new QWidget( nodeInfoStack, "Empty" );
    nodeInfoStack->addWidget( Empty, 2 );
    groupBox1Layout->addWidget( nodeInfoStack );
    layout7->addWidget( groupBox1 );
    DOMTreeViewBaseLayout->addLayout( layout7 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    m_pureCheckBox = new QCheckBox( groupBox2, "m_pureCheckBox" );
    m_pureCheckBox->setChecked( TRUE );
    groupBox2Layout->addWidget( m_pureCheckBox );

    m_showAttributesCheckBox = new QCheckBox( groupBox2, "m_showAttributesCheckBox" );
    m_showAttributesCheckBox->setChecked( TRUE );
    groupBox2Layout->addWidget( m_showAttributesCheckBox );

    m_highlightHTMLCheckBox = new QCheckBox( groupBox2, "m_highlightHTMLCheckBox" );
    m_highlightHTMLCheckBox->setChecked( TRUE );
    groupBox2Layout->addWidget( m_highlightHTMLCheckBox );
    DOMTreeViewBaseLayout->addWidget( groupBox2 );
    languageChange();
    resize( QSize(600, 508).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_listView, nodeName );
    setTabOrder( nodeName, nodeNamespace );
    setTabOrder( nodeNamespace, nodeType );
    setTabOrder( nodeType, nodeValue );
    setTabOrder( nodeValue, contentEditor );
    setTabOrder( contentEditor, applyContent );
    setTabOrder( applyContent, m_pureCheckBox );
    setTabOrder( m_pureCheckBox, m_showAttributesCheckBox );
    setTabOrder( m_showAttributesCheckBox, m_highlightHTMLCheckBox );
    setTabOrder( m_highlightHTMLCheckBox, nodeAttributes );

    // buddies
    textLabel1_2_3->setBuddy( nodeValue );
    textLabel1_2_2->setBuddy( nodeType );
    textLabel1_2->setBuddy( nodeNamespace );
    textLabel1->setBuddy( nodeName );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DOMTreeViewBase::~DOMTreeViewBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DOMTreeViewBase::languageChange()
{
    setCaption( tr2i18n( "DOM Tree Viewer" ) );
    messageListBtn->setText( tr2i18n( "&List" ) );
    messageHideBtn->setText( tr2i18n( "H&ide" ) );
    m_listView->header()->setLabel( 0, tr2i18n( "DOM Tree" ) );
    groupBox1->setTitle( tr2i18n( "DOM Node Info" ) );
    textLabel1_2_3->setText( tr2i18n( "Node &value:" ) );
    textLabel1_2_2->setText( tr2i18n( "Node &type:" ) );
    textLabel1_2->setText( tr2i18n( "Namespace &URI:" ) );
    textLabel1->setText( tr2i18n( "Node &name:" ) );
    nodeAttributes->header()->setLabel( 0, tr2i18n( "Name" ) );
    nodeAttributes->header()->setLabel( 1, tr2i18n( "Value" ) );
    applyContent->setText( tr2i18n( "Appl&y" ) );
    groupBox2->setTitle( tr2i18n( "DOM Tree Options" ) );
    m_pureCheckBox->setText( tr2i18n( "&Pure" ) );
    m_showAttributesCheckBox->setText( tr2i18n( "Show &attributes" ) );
    m_highlightHTMLCheckBox->setText( tr2i18n( "Highlight &HTML" ) );
}

#include "domtreeviewbase.moc"
